<?php
    error_reporting(0);
    session_start();


require "veritabani.php";

    $mysqli = new mysqli($vt_sunucu,$vt_kullanici_adi,$vt_sifre,$vt_adi);
    mysqli_set_charset($mysqli,"utf8");
    mysqli_error ( $mysqli);

    /* İşlem alanaının amacı listeleme dışındaki sql olaylarıı halletmek, güncellleme vb*/
    if (isset($_REQUEST['islem']))
    {
        if ($_REQUEST['islem']=="sil")
        {
            $mysqli->query("delete from urunler where urunler_no='".$_REQUEST['urunler_no']."'");
        }
        else
        if ($_REQUEST['islem']=="guncelle")
        {
            $mysqli->query("update urunler set ad='".$_REQUEST['ad']."', siralama='".$_REQUEST['siralama']."' where urunler_no='".$_REQUEST['urunler_no']."'");
        }
        else
        if ($_REQUEST['islem']=="guncelle_urun_ver")
        {
            $sonuc=$mysqli->query("select * from urunler where urunler_no='".$_REQUEST['urunler_no']."'");
            $listele = $sonuc->fetch_array(MYSQL_ASSOC);

            echo '<input type="hidden" id="urunler_no" name="urunler_no" value="'.$listele['urunler_no'].'"><br>';
            echo 'Ad<input type="text" id="ad" name="ad" value="'.$listele['ad'].'"><br>';
            echo 'Sıralama<input type="text" id="siralama" name="siralama" value="'.$listele['siralama'].'"><br>';

        }
        else
        {
            /* buranın aamcı gelen değişkene göre sql oluşuyor örneğin etkin, siralama vb */
            if ($_REQUEST['islem']=="siralama"){$durum="'".$_REQUEST['siralama']."'";}else{if ($_REQUEST['durum']=="true"){$durum="'1'";}else{$durum="NULL";};};
            $sonuc = $mysqli->query("UPDATE urunler set ".$_REQUEST['islem']."=".$durum." where urunler_no='".$_REQUEST['urunler_no']."'");
        }

        die();
    }

    if (!empty($_REQUEST['search']['value']))
    {

    }
    else
    if (!empty($_REQUEST['columns'][0]['search']['value']))
    {
        /* arama kelimesini yakalamış oluyorsun ona göree sql çekiyoruz*/
        $degisken=explode("#####",$_REQUEST['columns'][0]['search']['value']);
        $sayi=0;
        foreach ($degisken as $deger)
        {
            if ($sayi==0)
            {
                if (!empty($deger))
                {
                }
            }

            if ($sayi==1)
            {
                $degisken2=explode("|",$deger);
                foreach ($degisken2 as $deger2)
                {
                    if (!empty($deger2))
                    {
                        if ($deger2=="ozel") {$sorgu_f2.=" and (urunler.ozel='1') ";};
                        if ($deger2=="onsayfa") {$sorgu_f2.=" and (urunler.onsayfa='1') ";};
                        if ($deger2=="vitrin") {$sorgu_f2.=" and (urunler.vitrin='1') ";};
                        if ($deger2=="etkin") {$sorgu_f2.=" and (urunler.etkin='1') ";};
                        if ($deger2=="etkin_degil") {$sorgu_f2.=" and (urunler.etkin IS NULL) ";};
                    }

                }

            }

            if ($sayi==2)
            {
                $degisken2=explode("|",$deger);
                if (!empty($degisken2[0]))
                {
                    $sorgu_f2.=" and (tarih>='".date("Y-m-d", strtotime($degisken2[0]))."') ";
                    $sorgu_f2.=" and (tarih<='".date("Y-m-d", strtotime($degisken2[1]))."') ";
                }
            }

            if ($sayi==3)
            {
                $_REQUEST['diller_no']=$deger;
            }

            if ($sayi==4)
            {
                if (!empty($deger))
                {
                    $sorgu_f1=" and (urunler.ad like '%".$deger."%') ";
                }
            }

            $sayi++;

        }


    }
    else
    {
        $sorgu_f1="";
        $sorgu_f2="";
    }


    $sorgu_alt4=", IFNULL(urunler.siralama, '') as siralama";
    $sorgu_alt5=", IFNULL(urunler.etkin, '') as etkin";

    if (!empty($_REQUEST['order'][0]['column']))
    {
        $ad=$_REQUEST['columns'][$_REQUEST['order'][0]['column']]['data'];

        if ($ad=="ad")
        {
            $siralama=" order by urunler.ad";
        }
        else
        {
            $siralama=" order by urunler.".($ad);
        }

    }
    else
    {
        $siralama=" order by urunler.tarih";
    }

    if (!empty($_REQUEST['order'][0]['dir']))
    {
        $siralama_yon=" ".$_REQUEST['order'][0]['dir'].", urunler_no";
    }
    else
    {
        $siralama_yon=" desc".", urunler_no";
    }

    $dizi_g = array();

    if ($sonuc = $mysqli->query("SELECT SQL_CALC_FOUND_ROWS urunler.urunler_no as urunler_no, urunler.urunler_no as urunler_no2, urunler.ad as ad, DATE_FORMAT(urunler.tarih,'%d-%m-%Y') as tarih ".$sorgu_alt1.$sorgu_alt2.$sorgu_alt3.$sorgu_alt4.$sorgu_alt5." FROM urunler
     where (1=1) ".$sorgu_f1.$sorgu_f2.$siralama.$siralama_yon."
     limit ".$_REQUEST['start'].", ".$_REQUEST['length'].""))
    {
        $sonuc2 = $mysqli->query("SELECT FOUND_ROWS();");
        $listele2 = $sonuc2->fetch_array(MYSQL_ASSOC);
        $toplam=$listele2['FOUND_ROWS()'];
        $toplam_suzulen=mysqli_num_rows($sonuc);
        while($listele = $sonuc->fetch_array(MYSQL_ASSOC))
        {
            $listele['okoca']=$kategoriler; /* sana örnek olsun diye, olmayan bir alanı kendin oluşturabilirsin*/
            $dizi_g[] = $listele;
        }
        echo $dd='{"draw":0,"recordsTotal":'.$toplam_suzulen.',"recordsFiltered":'.$toplam.',"data":'.json_encode($dizi_g).'}';
    }

    $sonuc->close();
    $mysqli->close();
?>